Printer FriendlyEmail Article Link

iTest: Spirent iTest Add-on Development

Environment/Versions
  • Spirent iTest 4.0 and higher versions.
  • Eclipse.
Answer

      1. We can develop different iTest Add on by setting up iTest and installing eclipse plug in to that. 

Points: 
  •  iTest version should be 4.0 or higher.
     
  •  We should install the exact supported eclipse version in iTest.
 
iTest 4.0 is developed with Eclipse SDK 3.5.2 i.e. Eclipse Galileo and iTest (4.2.1) is developed on Eclipse SDK 3.6.1 i.e. Eclipse Helios. Whereas current iTest (4.3.1) is developed on Eclipse SDK 3.6.2 i.e. Eclipse Helios. So while installing the packages we need to take care that we are installing the exact version matched packages. Even the minor version mismatch will lead to error during installation e.g. we can’t install Eclipse SDK 3.6.1 with iTest 4.3.1.
 
Eclipse links are:  http://download.eclipse.org/eclipse/updates/3.5 and http://download.eclipse.org/eclipse/updates/3.6

NOTE: To find the all the minor/exact released version we need to disable the check box “Show only latest version of the software”.

      2. We can develop different iTest Add on by setting up Eclipse and installing iTest plug in to that.

Points: 
  •  iTest version should be 4.0 or higher.
     
  •  We should install the exact supported eclipse version in iTest.
     
  • The latest eclipse supported with iTest 4.3.1 can be downloaded using this link.
     
  • To install iTest plugin in Eclipse follow the below procedure:
  • Start Eclipse as Administrator.
     
  • Go to Help --> Install New Software.
     
  • Click on add and give any name to the plugin.
     
  • Paste the link "http://itestupdates.spirent.com/itest_4.3.1/update-site" in Location tab and click Ok.
     
  • Uncheck the option "Group items by Category"
     
  • Select the appropriate plugins from the list of plugins displayed.
     
  • Click Next, Accept the License Agreement and click Finish.
     
  • Restart Eclipse and you can see the iTest plugin added to it.

Note: For 64bit Linux machines, we need to use the 32-bit iTest SDK plugin to install it successfully. (As iTest is 32bit application)


Product : iTest Enterprise